/************************************************************************/
/*
 * conffile.h - Configuration admin header
 *
 *  (c)2003 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
/************************************************************************/


#ifndef _CONFFILE_H_
#define _CONFFILE_H_


typedef struct _ConfigFile	ConfigFile;


NETINFO_API int configfile_open (ConfigFile **cfp,
			char *path);
NETINFO_API int configfile_read_line (ConfigFile *cf,
			char *buffer,
			int len);
NETINFO_API int configfile_append_line (ConfigFile *cf,
			char *buffer,
			int len);
NETINFO_API int configfile_search_begin (ConfigFile *cf,
			char *searchstr);
NETINFO_API int configfile_search_next (ConfigFile *cf,
			char *buffer,
			int len);
NETINFO_API int configfile_search_end (ConfigFile *cf);
NETINFO_API int configfile_close (ConfigFile **cfp);



#endif


