/************************************************************************/
/* stack.h - A stack implementation header	 			*/
/************************************************************************/
/*
 * (c) 2002-2003 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/

#ifndef _STACK_H_
#define _STACK_H_

/* Opaque structure */
typedef struct sstackitem_s sstackitem_t;
typedef struct sstack_s sstack_t;


/************************************************************************/
/* Function Prototypes							*/
/************************************************************************/
sstack_t *sstack_new(void);
int sstack_free(sstack_t *stack);
int sstack_items(sstack_t *stack);
int sstack_push(sstack_t *stack, void *data);
void *sstack_pop(sstack_t *stack);


#endif

